<article class="box">
	<style>
		@scope {
			p {
				margin-bottom: 1rem;
			}

			.fieldset--grid {
				display: grid;
				gap: .75rem;
				grid-template-columns: 1fr 1fr;
			}

			hr {

				border-color: var(--c-slate-200);
				margin: 1rem 0;
			}

			.checkbox {
				margin: .5rem 0;
				line-height: 1.25;

				input[type="checkbox"] {
					display: inline-block;
					margin-inline-end: .5rem;
					border: 1px solid var(--c-slate-300);
					aspect-ratio: 1;
					vertical-align: text-middle;
					padding: .5rem;
				}

				label {
					font-size: 1rem;
					display: inline;
				}
			}
		}
	</style>


	<h2>Criar Bônus</h2>
	<p>
		Utilize o formulário abaixo para criar um bônus na tabela bônus:
	</p>
	<form hx-post="{{ url_for('bikesp._admin_cria_bonus') }}" 
		  hx-swap="none" 
		  hx-target-error="#error-fallback" 
		  hx-on:submit="this.reset()">
		<fieldset class="fieldset--grid">
			<div>
				<label for="name">
					Nome do bônus
				</label>
				<input type="text" id="name" name="name" placeholder="ex.: bonusincrivel" required />
			</div>

			<div>
				<label for="amount">
					Valor do bônus
				</label>
				<input type="number" id="amount" name="amount" min="0" step="0.01" placeholder="ex.: 20.24" required />
			</div>
		</fieldset>

		<label for="description">
			Descrição (opcional)
		</label>
		<textarea name="description" id="description" placeholder="Escreva uma descrição para o seu bônus..."></textarea>

		<hr />

		<fieldset class="fieldset--grid">
			<div>
				<label for="date-start">
					Data de início do bônus (opcional)
				</label>
				<input type="datetime-local" id="date-start" name="date-start" />
			</div>
			<div>
				<label for="date-end">
					Data de fim do bônus (opcional)
				</label>
				<input type="datetime-local" id="date-end" name="date-end" />
			</div>
		</fieldset>

		<hr />

		<div class="checkbox">
			<input type="checkbox" id="active" name="active" />

			<label for="active">
				Ativar bônus automaticamente após a criação
			</label>
		</div>

		<div class="checkbox">
			<input type="checkbox" id="visible" name="visible" />

			<label for="visible">
				O bônus será visível ao usuário
			</label>
		</div>

		<button type="submit">
			Adicionar bônus
		</button>
	</form>
</article>
